### R code from vignette source 'simulate-regdiags.Rnw'

###################################################
### code chunk number 1: setup
###################################################
library(knitr)
options(replace.assign=TRUE,width=50)
opts_chunk$set(fig.path='figs/gph-', cache.path='cache/gph-',
               fig.align='center', dev='pdf', fig.width=5,
               fig.height=5, fig.show='hold', cache=TRUE, par=TRUE)
knit_hooks$set(par=function(before, options, envir){
if (before && options$fig.show!='none') par(mar=c(4,4,1.6,.1),
              cex.lab=.95,cex.axis=.9,mgp=c(2,.7,0),tcl=-.3)
}, crop=hook_pdfcrop)


###################################################
### code chunk number 2: LOAD-DAAG
###################################################
library(DAAG, warn.conflicts=FALSE)
library(latticeExtra)


###################################################
### code chunk number 3: nimff (eval = FALSE)
###################################################
## plot(timef~time, data=nihills,
##      xlab="Male record times",
##      ylab="Female record times")
## mftime.lm <- lm(timef ~ time, data=nihills)
## abline(mftime.lm)
## plot(mftime.lm, which=1)


###################################################
### code chunk number 4: nimff-do
###################################################



###################################################
### code chunk number 5: code-nimff (eval = FALSE)
###################################################
## 


###################################################
### code chunk number 6: 4sims-do-nimff
###################################################
mftime.lm <- lm(timef ~ time, data=nihills)
gph <- plotSimScat(mftime.lm, layout=c(4,1), show="residuals")
gph <- update(gph, xlab="Record times for males (h)",
              ylab="Record times for females (h)")
print(gph)


###################################################
### code chunk number 7: 4sims-do-nimff (eval = FALSE)
###################################################
## 


###################################################
### code chunk number 8: diag-logmftime
###################################################
plot(mftime.lm, cex.caption=0.8, ask=FALSE)


###################################################
### code chunk number 9: 4sims-mftimesimdiag1
###################################################
plotSimDiags(obj=mftime.lm, which=1, layout=c(4,1))


###################################################
### code chunk number 10: 4sims-mftimesimdiag1-code (eval = FALSE)
###################################################
## 


###################################################
### code chunk number 11: 4sims-mftimesimdiag2
###################################################
plotSimDiags(obj=mftime.lm, which=2, layout=c(4,1))


###################################################
### code chunk number 12: 4sims-mftimesimdiag3
###################################################
plotSimDiags(obj=mftime.lm, which=3, layout=c(4,1))


###################################################
### code chunk number 13: 4sims-mftimesimdiag5
###################################################
plotSimDiags(obj=mftime.lm, which=5, layout=c(4,1))


###################################################
### code chunk number 14: all6
###################################################
gphs1to6 <- plotSimDiags(obj=mftime.lm, which=1:6, layout=c(4,2))


###################################################
### code chunk number 15: plot1
###################################################
update(gphs1to6[[1]], layout=c(4,2))


